﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="ChangePIN.aspx.cs" Inherits="PINsafeLogin.auth.ChangePIN" %>
<%@ Import Namespace="Microsoft.Exchange.Clients.Owa.Core" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN">
<html>
<head>
    <title>Swivel PIN Change Utility</title>
    <link rel="shortcut icon" href="<%=OwaUrl.ApplicationRoot.ImplicitUrl%><%ThemeManager.RenderBaseThemeFileUrl(Response.Output, ThemeFileId.FavoriteIcon, false); %>" type="image/x-icon" />
    <link type="text/css" rel="stylesheet" href="<%=OwaUrl.ApplicationRoot.ImplicitUrl %><%ThemeManager.RenderBaseThemeFileUrl(Response.Output, ThemeFileId.LogonCss, false); %>" />
    <link type="text/css" rel="stylesheet" href="<%=OwaUrl.ApplicationRoot.ImplicitUrl %><%ThemeManager.RenderBaseThemeFileUrl(Response.Output, ThemeFileId.OwaFontCss, false); %>"/>
    <script type="text/javascript" src="pinsafe_cp.js"></script>
    <script type="text/javascript">
        function clkChange() {
            var otc1 = document.getElementById("<%=txtNewOTC.ClientID %>");
            var otc2 = document.getElementById("<%=txtNewOTC2.ClientID %>");
            if (otc1.value != otc2.value) {
                window.alert("New OTCs do not match");
                return false;
            }
            return true;
        }
    </script>
</head>
<body class="owaLgnBdy" onload="CheckClient();">
    <form id="changePinForm" runat="server" method="POST">
        <asp:HiddenField ID="txtRedirect" runat="server" />
        <asp:HiddenField ID="txtReason" runat="server" />
        <input type="text" id="USERNAME_FIELD" value="<%=txtUsername.ClientID %>" style="display:none" />
        <input type="text" id="OLD_OTC_FIELD" value="<%=txtOldOTC.ClientID %>" style="display:none" />
        <input type="text" id="NEW_OTC_FIELD1" value="<%=txtNewOTC.ClientID %>" style="display:none" />
        <input type="text" id="NEW_OTC_FIELD2" value="<%=txtNewOTC2.ClientID %>" style="display:none" />
		<input type="checkbox" name="noPINsafe" id="noPINsafe" style="display:none"/>
		<input type="checkbox" name="allowUnknown" id="allowUnknown" style="display:none"/>
		<input type="checkbox" name="userExists" id="userExists" style="display:none"/>
		<input type="checkbox" name="showTuring" id="showTuring" style="display:none"/>
		<input type="checkbox" name="showMessage" id="showMessage" style="display:none"/>
		<input type="checkbox" name="autoShow" id="autoShow" style="display:none"/>
		<input type="checkbox" name="showPinpad" id="showPinpad" style="display:none"/>
        <table align="center" id="tblMain" cellpadding="0" cellspacing="0">
	        <tr>
		        <td colspan="3">
			        <table cellspacing="0" cellpadding="0" class="tblLgn">
			            <tr>
			                <td class="lgnTL"><img src="<%=OwaUrl.ApplicationRoot.ImplicitUrl%><%ThemeManager.RenderBaseThemeFileUrl(Response.Output, ThemeFileId.LogonTopLeft, false);%>" alt="" /></td>
				            <td class="lgnTM"></td>
			                <td class="lgnTR"><img src="<%=OwaUrl.ApplicationRoot.ImplicitUrl%><%ThemeManager.RenderBaseThemeFileUrl(Response.Output, ThemeFileId.LogonTopRight, false);%>" alt="" /></td>
			            </tr>
			        </table>
		        </td>
	        </tr>
            <tr>
		        <td id="mdLft">&nbsp;</td>
		        <td id="mdMid">
			        <table id="tblMid" class="mid">
			            <tr>
			                <td align="center" style="font-size: x-large">
                                <asp:Label ID="lblTitle" runat="server" Text="Swivel PIN Change Utility"></asp:Label>
                            </td>
			            </tr>
			            <tr>
			                <td class="expl">
                                <asp:Label ID="lblResult" runat="server"></asp:Label>
                            </td>
			            </tr>
			            <tr><td><hr /></td></tr>
                        <tr>
                            <td>
                                <table>
                                    <col class="nowrap"/>
                                    <col class="w100"/>
                                    <col />
                                    <tr>
                                        <td nowrap="nowrap">
                                            <asp:Label ID="lblUsername" runat="server" AssociatedControlID="txtUsername" Text="Username:"></asp:Label>
                                        </td>
                                        <td class="txtpad">
                                            <asp:TextBox ID="txtUsername" runat="server" CssClass="txt" onblur="CheckUser()"></asp:TextBox>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td nowrap="nowrap">
                                            <asp:Label ID="lblOldOTC" runat="server" AssociatedControlID="txtOldOTC" 
                                                Text="Old OTC:"></asp:Label>
                                        </td>
                                        <td class="txtpad">
                                            <asp:TextBox ID="txtOldOTC" runat="server" CssClass="txt" TextMode="Password"></asp:TextBox>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td nowrap="nowrap">
                                            <asp:Label ID="lblNewOTC" runat="server" AssociatedControlID="txtNewOTC" 
                                                Text="New OTC:"></asp:Label>
                                        </td>
                                        <td class="txtpad">
                                            <asp:TextBox ID="txtNewOTC" runat="server" CssClass="txt" TextMode="Password"></asp:TextBox>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td nowrap="nowrap">
                                            <asp:Label ID="lblNewOTC2" runat="server" AssociatedControlID="txtNewOTC2" 
                                                Text="Confirm OTC:"></asp:Label>
                                        </td>
                                        <td class="txtpad">
                                            <asp:TextBox ID="txtNewOTC2" runat="server" CssClass="txt" TextMode="Password"></asp:TextBox>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td align="left" class="txtpad">
                                            <asp:Button ID="btnCancel" runat="server" CssClass="btn" 
                                                onclientclick="clkChange()" Text="Skip" onmouseover="this.className='btnOnMseOvr'" 
                                                onmouseout="this.className='btn'" 
                                                onmousedown="this.className='btnOnMseDwn'" onclick="btnCancel_Click"/>
                                        </td>
                                        <td align="right" class="txtpad">
                                            <asp:Button ID="btnLogin" runat="server" CssClass="btn" 
                                                onclientclick="clkChange()" Text="Change PIN" onmouseover="this.className='btnOnMseOvr'" 
                                                onmouseout="this.className='btn'" 
                                                onmousedown="this.className='btnOnMseDwn'" onclick="btnLogin_Click"/>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                        <tr id="TuringRow" style="display:none">
                            <td align="center">
                                <img id="TuringImage" alt="" src="" />
                                <br/>
                                <input type="button" onclick="ShowTuring();" value="Refresh Image" class="btn" />
                            </td>
                        </tr>
			            <tr id="PinpadRow" style="display:none">
			                <td colspan="2" align="center">
			                    <input type="text" id="PinpadField" style="display:none" value="<%=txtOldOTC.ClientID %>"/>
			                    <table id="tblPinpad">
			                        <tr><td colspan="3" align="center"><span id="lblPadField">Old OTC</span></td></tr>
			                        <tr id="rowPinpad1">
			                            <td id="cellPinpad1"><img id="imgPinpad1" onclick="addDigit('1')" /></td>
			                            <td id="cellPinpad2"><img id="imgPinpad2" onclick="addDigit('2')" /></td>
			                            <td id="cellPinpad3"><img id="imgPinpad3" onclick="addDigit('3')" /></td>
			                        </tr>
			                        <tr ID="rowPinpad2">
			                            <td id="cellPinpad4"><img id="imgPinpad4" onclick="addDigit('4')" /></td>
			                            <td id="cellPinpad5"><img id="imgPinpad5" onclick="addDigit('5')" /></td>
			                            <td id="cellPinpad6"><img id="imgPinpad6" onclick="addDigit('6')" /></td>
			                        </tr>
			                        <tr ID="rowPinpad3">
			                            <td id="cellPinpad7"><img id="imgPinpad7" onclick="addDigit('7')" /></td>
			                            <td id="cellPinpad8"><img id="imgPinpad8" onclick="addDigit('8')" /></td>
			                            <td id="cellPinpad9"><img id="imgPinpad9" onclick="addDigit('9')" /></td>
			                        </tr>
			                        <tr ID="rowPinpad0">
			                            <td>&nbsp;</td>
			                            <td id="cellPinpad0"><img id="imgPinpad0" onclick="addDigit('0')" /></td>
			                            <td>&nbsp;</td>
			                        </tr>
			                        <tr>
			                            <td colspan="3" align="center">
			                                <table><tr>
			                                    <td><input type="button" class="btn" value="Next" onclick="NextPinpad()"/></td>
			                                    <td><input type="button" class="btn" value="Refresh" onclick="ShowPinpad()" /></td>
                                            </tr></table>
			                            </td>
			                        </tr>
			                    </table>
                            </td>
                        </tr>
                    </table>
                </td>
		        <td id="mdRt">&nbsp;</td>
	        </tr>
	        <tr>
		        <td colspan="3">
			        <table cellspacing="0" cellpadding="0" class="tblLgn">
			        <tr>
			            <td class="lgnBL"><img src="<%=OwaUrl.ApplicationRoot.ImplicitUrl%><%ThemeManager.RenderBaseThemeFileUrl(Response.Output, ThemeFileId.LogonBottomLeft, false);%>" alt="" /></td>
				        <td class="lgnBM"></td>
			            <td class="lgnBR"><img src="<%=OwaUrl.ApplicationRoot.ImplicitUrl%><%ThemeManager.RenderBaseThemeFileUrl(Response.Output, ThemeFileId.LogonBottomRight, false);%>" alt="" /></td>
			        </tr>
			        </table>
		        </td>
	        </tr>
        </table>
    </form>
</body>
</html>
